<?php
// パーツ基本のテンプレート
$template = <<<END
<!-- block_iframe:埋め込み -->
<section class="block_iframe">
<!--{def item/size_big}-->
<!--{def item/title}-->
<h2>{val item/title}</h2>
<!--{/def}-->
<!--{def item/text}-->
<p class="markdown-body">{rval item/text}</p>
<!--{/def}-->
<div class="iframe-box-maru">
{rval item/iframe}
</div>
<!--{/def}-->
<!--{ndef item/size_big}-->
<div class="list-half1-maru">
<div class="list-maru">
<figure>
<div class="iframe-box-maru">
{rval item/iframe}
</div>
</figure>
<div class="text-maru">
<!--{def item/title}-->
<h4>{val item/title}</h4>
<!--{/def}-->
<!--{def item/text}-->
<p class="markdown-body">{rval item/text}</p>
<!--{/def}-->
<!--{def item/link}-->
<p class="btn1-maru"><a href="#">詳しくみる</a></p>
<!--{/def}-->
</div>
</div>
</div>
<!--/.list-half1-maru-->
<!--{/def}-->
</section>
END;

$block_iframe = array(					// ブロック定義
	"title" => "埋め込み",			// ブロックの名称
	"name" => "block_iframe",			// 名称、重複すると正しく動作しません
	"template" => $template,		// ブロックのテンプレート
	"input" => array(				// ブロックの入力定義
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=block_iframe",
			"class" => "notice",
		),
		"title" => array(
			"title" => "タイトル",
			"type" => "text",
			"info" => "2行で記入してください",
		),
		"size_big" => array(
			"title" => "表示サイズ",
			"type" => "select",
			"list" => array(
				"" => "小",
				"1" => "大",
			),
		),
		"text" => array(
			"title" => "説明文",
			"type" => "textarea",
		),
		"iframe" => array(
			"title" => "埋め込み(iframe)",
			"type" => "text",
		),
	),
);

// パーツの登録
block_add($block_iframe);

