<?php
// パーツ基本のテンプレート
$template = <<<END
<!-- popup:ポップアップ -->
<section class="block_popup">
<div class="popup-maru {val item/pos}" id="popup_{val id}" style="display: none;">
<div>
<!--{def item/title}-->
<h3>{val item/title}</h3>
<!--{/def}-->
<!--{def item/text}-->
<p class="markdown-body">{rval item/text}</p>
<!--{/def}-->
<!--{def item/image}-->
<p><a href="user_data/{val item/image_file}" target="_blank"><img src="user_data/{val item/image_file}" alt=""></a></p>
<!--{/def}-->
<!--{def item/link}-->
<p class="c btn1-maru"><a href="{val item/link}">詳しくはこちら</a></p>
<!--{/def}-->
<i class="fa-solid fa-xmark close-maru"></i>
</div>
</div>
</section>
<script>
setTimeout(function(){ $('#popup_{val id}').fadeIn(); }, {val item/timer}*1000);
</script>
END;

$block_popup = array(					// ブロック定義
	"title" => "ポップアップ",			// ブロックの名称
	"name" => "block_popup",			// 名称、重複すると正しく動作しません
	"template" => $template,		// ブロックのテンプレート
	"input" => array(				// ブロックの入力定義
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=block_popup",
			"class" => "notice",
		),
		"title" => array(
			"title" => "タイトル",
			"type" => "text",
		),
		"image" => array(
			"title" => "画像",
			"type" => "image",
		),
		"text" => array(
			"title" => "説明",
			"type" => "textarea",
		),
		"link" => array(
			"title" => "リンク",
			"type" => "text",
		),
		"timer" => array(
			"title" => "表示時間（秒）",
			"type" => "text",
			"info" => "ページ表示後、この時間が経つと表示されます。",
		),
		"pos" => array(
			"title" => "表示位置",
			"type" => "select",
			"list" => array(
				"left-top" => "左上",
				"left-bottom" => "左下",
				"overlay" => "中央",
				"right-top" => "右上",
				"right-bottom" => "右下",
			),
		),
	),
);

// パーツの登録
block_add($block_popup);
